{
    "condition": "any_of",
    "terms": [
        {
            "condition": "location_check",
            "offsetX": 1,
            "offsetY": -1,
            "predicate": {
                "block": {
                    "blocks": "#overly_realistic:cant_collapse_no_air"
                }
            }
        },
        {
            "condition": "location_check",
            "offsetX": -1,
            "offsetY": -1,
            "predicate": {
                "block": {
                    "blocks": "#overly_realistic:cant_collapse_no_air"
                }
            }
        },
        {
            "condition": "location_check",
            "offsetZ": 1,
            "offsetY": -1,
            "predicate": {
                "block": {
                    "blocks": "#overly_realistic:cant_collapse_no_air"
                }
            }
        },
        {
            "condition": "location_check",
            "offsetZ": -1,
            "offsetY": -1,
            "predicate": {
                "block": {
                    "blocks": "#overly_realistic:cant_collapse_no_air"
                }
            }
        },





        {
            "condition": "location_check",
            "offsetX": 1,
            "offsetZ": 1,
            "offsetY": -1,
            "predicate": {
                "block": {
                    "blocks": "#overly_realistic:cant_collapse_no_air"
                }
            }
        },
        {
            "condition": "location_check",
            "offsetX": 1,
            "offsetZ": -1,
            "offsetY": -1,
            "predicate": {
                "block": {
                    "blocks": "#overly_realistic:cant_collapse_no_air"
                }
            }
        },
        {
            "condition": "location_check",
            "offsetX": -1,
            "offsetZ": 1,
            "offsetY": -1,
            "predicate": {
                "block": {
                    "blocks": "#overly_realistic:cant_collapse_no_air"
                }
            }
        },
        {
            "condition": "location_check",
            "offsetX": -1,
            "offsetZ": -1,
            "offsetY": -1,
            "predicate": {
                "block": {
                    "blocks": "#overly_realistic:cant_collapse_no_air"
                }
            }
        }
    ]
}